#ifndef _KOTO_DATE_COMBO
#define _KOTO_DATE_COMBO

#include <gtk/gtktogglebutton.h>

G_BEGIN_DECLS

#define KOTO_TYPE_DATE_COMBO koto_date_combo_get_type()

#define KOTO_DATE_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_DATE_COMBO, KotoDateCombo))

#define KOTO_DATE_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_DATE_COMBO, KotoDateComboClass))

#define KOTO_IS_DATE_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_DATE_COMBO))

#define KOTO_IS_DATE_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_DATE_COMBO))

#define KOTO_DATE_COMBO_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_DATE_COMBO, KotoDateComboClass))

typedef struct {
  GtkToggleButton parent;
} KotoDateCombo;

typedef struct {
  GtkToggleButtonClass parent_class;
} KotoDateComboClass;

GType koto_date_combo_get_type (void);

GtkWidget* koto_date_combo_new (void);

void koto_date_combo_set_date (KotoDateCombo *combo, GDate *date);

GDate * koto_date_combo_get_date (KotoDateCombo *combo);

G_END_DECLS

#endif /* _KOTO_DATE_COMBO */
