#ifndef _KOTO_GROUP_MODEL_FILTER
#define _KOTO_GROUP_MODEL_FILTER

#include <gtk/gtktreemodelfilter.h>
#include "koto-task-store.h"

G_BEGIN_DECLS

#define KOTO_TYPE_GROUP_MODEL_FILTER koto_group_model_filter_get_type()

#define KOTO_GROUP_MODEL_FILTER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_GROUP_MODEL_FILTER, KotoGroupFilterModel))

#define KOTO_GROUP_MODEL_FILTER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_GROUP_MODEL_FILTER, KotoGroupFilterModelClass))

#define KOTO_IS_GROUP_MODEL_FILTER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_GROUP_MODEL_FILTER))

#define KOTO_IS_GROUP_MODEL_FILTER_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_GROUP_MODEL_FILTER))

#define KOTO_GROUP_MODEL_FILTER_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_GROUP_MODEL_FILTER, KotoGroupFilterModelClass))

typedef struct {
  GtkTreeModelFilter parent;
} KotoGroupFilterModel;

typedef struct {
  GtkTreeModelFilterClass parent_class;
} KotoGroupFilterModelClass;

GType koto_group_model_filter_get_type (void);

GtkTreeModel* koto_group_model_filter_new (KotoTaskStore *model);

void koto_group_model_filter_set_group (KotoGroupFilterModel *filter, const char *group);

G_END_DECLS

#endif /* _KOTO_GROUP_MODEL_FILTER */
