#ifndef _KOTO_GROUP_STORE
#define _KOTO_GROUP_STORE

#include <gtk/gtkliststore.h>

G_BEGIN_DECLS

#define KOTO_TYPE_GROUP_STORE koto_group_store_get_type()

#define KOTO_GROUP_STORE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_GROUP_STORE, KotoGroupStore))

#define KOTO_GROUP_STORE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_GROUP_STORE, KotoGroupStoreClass))

#define KOTO_IS_GROUP_STORE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_GROUP_STORE))

#define KOTO_IS_GROUP_STORE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_GROUP_STORE))

#define KOTO_GROUP_STORE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_GROUP_STORE, KotoGroupStoreClass))

typedef enum {
  TYPE_NONE,
  TYPE_CATEGORY,
  TYPE_ADD_NEW,
  TYPE_SEPARATOR,
} KotoGroupType;


enum {
  COL_TYPE, /* int, type */
  COL_NAME, /* string, the label */
};

typedef struct {
  GtkListStore parent;
} KotoGroupStore;

typedef struct {
  GtkListStoreClass parent_class;
} KotoGroupStoreClass;

GType koto_group_store_get_type (void);

GtkTreeModel* koto_group_store_new (ECalView *view);

void koto_group_store_set_view (KotoGroupStore *store, ECalView *view);

G_END_DECLS

#endif /* _KOTO_GROUP_STORE */
