#ifndef _KOTO_TASK_EDITOR
#define _KOTO_TASK_EDITOR

#include <gtk/gtktable.h>

G_BEGIN_DECLS

#define KOTO_TYPE_TASK_EDITOR koto_task_editor_get_type()

#define KOTO_TASK_EDITOR(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_TASK_EDITOR, KotoTaskEditor))

#define KOTO_TASK_EDITOR_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_TASK_EDITOR, KotoTaskEditorClass))

#define KOTO_IS_TASK_EDITOR(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_TASK_EDITOR))

#define KOTO_IS_TASK_EDITOR_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_TASK_EDITOR))

#define KOTO_TASK_EDITOR_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_TASK_EDITOR, KotoTaskEditorClass))

typedef struct {
  GtkTable parent;
} KotoTaskEditor;

typedef struct {
  GtkTableClass parent_class;
} KotoTaskEditorClass;

GType koto_task_editor_get_type (void);

GtkWidget* koto_task_editor_new (void);

gboolean koto_task_editor_is_dirty (KotoTaskEditor *editor);

G_END_DECLS

#endif /* _KOTO_TASK_EDITOR */
