#ifndef _KOTO_TASK_VIEW
#define _KOTO_TASK_VIEW

#include <gtk/gtktreeview.h>
#include "koto-group-filter-model.h"
#include "koto-task-store.h"

G_BEGIN_DECLS

#define KOTO_TYPE_TASK_VIEW koto_task_view_get_type()

#define KOTO_TASK_VIEW(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_TASK_VIEW, KotoTaskView))

#define KOTO_TASK_VIEW_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_TASK_VIEW, KotoTaskViewClass))

#define KOTO_IS_TASK_VIEW(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_TASK_VIEW))

#define KOTO_IS_TASK_VIEW_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_TASK_VIEW))

#define KOTO_TASK_VIEW_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_TASK_VIEW, KotoTaskViewClass))

typedef struct {
  GtkTreeView parent;
} KotoTaskView;

typedef struct {
  GtkTreeViewClass parent_class;
} KotoTaskViewClass;

GType koto_task_view_get_type (void);

GtkWidget * koto_task_view_new (KotoTaskStore *store, KotoGroupFilterModel *filter);

G_END_DECLS

#endif /* _KOTO_TASK_VIEW */
