#ifndef _ICAL_UTIL_H
#define _ICAL_UTIL_H

#include <glib.h>
#include <libical/ical.h>

enum {
  PRIORITY_NONE = 0,
  PRIORITY_HIGH = 1,
  PRIORITY_MEDIUM = 5,
  PRIORITY_LOW = 9,
};

#ifndef ICAL_GET_FIELD
#define ICAL_GET_FIELD(LOWER_NAME, UPPER_NAME, TYPE, DEFAULT)   \
  TYPE ical_util_get_##LOWER_NAME (icalcomponent *comp);
#endif

ICAL_GET_FIELD(priority, PRIORITY, int, PRIORITY_NONE);

#endif /* _ICAL_UTIL_H */
