#ifndef _KOTO_GROUP_COMBO
#define _KOTO_GROUP_COMBO

#include <gtk/gtkcombobox.h>
#include <libecal/e-cal-view.h>
#include "koto-group-filter-model.h"

G_BEGIN_DECLS

#define KOTO_TYPE_GROUP_COMBO koto_group_combo_get_type()

#define KOTO_GROUP_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_GROUP_COMBO, KotoGroupCombo))

#define KOTO_GROUP_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_GROUP_COMBO, KotoGroupComboClass))

#define KOTO_IS_GROUP_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_GROUP_COMBO))

#define KOTO_IS_GROUP_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_GROUP_COMBO))

#define KOTO_GROUP_COMBO_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_GROUP_COMBO, KotoGroupComboClass))

typedef struct {
  GtkComboBox parent;
} KotoGroupCombo;

typedef struct {
  GtkComboBoxClass parent_class;
} KotoGroupComboClass;

GType koto_group_combo_get_type (void);

GtkWidget* koto_group_combo_new (KotoGroupStore *store);

KotoGroupType koto_group_combo_get_active_type (KotoGroupCombo *combo);

char * koto_group_combo_get_active_group (KotoGroupCombo *combo);

void koto_group_combo_connect_filter (KotoGroupCombo *combo, KotoGroupFilterModel *filter);

G_END_DECLS

#endif /* _KOTO_GROUP_COMBO */
