#ifndef _KOTO_PRIORITY_COMBO
#define _KOTO_PRIORITY_COMBO

#include <gtk/gtkcombobox.h>

G_BEGIN_DECLS

#define KOTO_TYPE_PRIORITY_COMBO koto_priority_combo_get_type()

#define KOTO_PRIORITY_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  KOTO_TYPE_PRIORITY_COMBO, KotoPriorityCombo))

#define KOTO_PRIORITY_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  KOTO_TYPE_PRIORITY_COMBO, KotoPriorityComboClass))

#define KOTO_IS_PRIORITY_COMBO(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  KOTO_TYPE_PRIORITY_COMBO))

#define KOTO_IS_PRIORITY_COMBO_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  KOTO_TYPE_PRIORITY_COMBO))

#define KOTO_PRIORITY_COMBO_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  KOTO_TYPE_PRIORITY_COMBO, KotoPriorityComboClass))

typedef struct {
  GtkComboBox parent;
} KotoPriorityCombo;

typedef struct {
  GtkComboBoxClass parent_class;
} KotoPriorityComboClass;

GType koto_priority_combo_get_type (void);

GtkWidget* koto_priority_combo_new (void);

void koto_priority_combo_set_priority (KotoPriorityCombo *combo, int priority);

int koto_priority_combo_get_priority (KotoPriorityCombo *combo);

G_END_DECLS

#endif /* _KOTO_PRIORITY_COMBO */
