#ifndef _KOTO_TASK
#define _KOTO_TASK

#include <glib-object.h>
#include <libical/icalcomponent.h>

G_BEGIN_DECLS

typedef struct {
  volatile gint ref_count;
  icalcomponent *comp;
} KotoTask;

#define KOTO_TYPE_TASK koto_task_get_type ()

GType koto_task_get_type (void);

KotoTask *koto_task_new (icalcomponent *comp);

KotoTask *koto_task_ref (KotoTask *task);

void koto_task_unref (KotoTask *task);

G_END_DECLS

#endif /* _KOTO_TASK */
